jQuery(document).ready(function()
{
	
    /****************************************************************************************
     *
     *     ZOTPRESS LIB DROPDOWN
     *
     ****************************************************************************************/
	
	// TO-DO: notes, abstract, target, showtags
	
	var zpCollectionId = false; if ( jQuery("#ZP_COLLECTION_ID").length > 0 ) zpCollectionId = jQuery("#ZP_COLLECTION_ID").text();
	var zpTagId = false; if ( jQuery("#ZP_TAG_ID").length > 0 ) zpTagId = jQuery("#ZP_TAG_ID").text();
	var zpShowImages = false; if ( jQuery("#ZP_SHOWIMAGE").length > 0 &&  ( jQuery("#ZP_SHOWIMAGE").text() == "yes" || jQuery("#ZP_SHOWIMAGE").text() == "true" ||  jQuery("#ZP_SHOWIMAGE").text() == "1" ) ) zpShowImages = true;
	var zpIsAdmin = false; if ( jQuery("#ZP_ISADMIN").length > 0 ) zpIsAdmin = true;
	var zpTarget = false; if ( jQuery("#ZP_TARGET").length > 0 ) zpTarget = true;
	var zpURLWrap = false; if ( jQuery("#ZP_URLWRAP").length > 0 ) zpURLWrap = jQuery("#ZP_URLWRAP").text();
    
	if ( jQuery("#zp-Browse-Collections-Select").length > 0 )
	{
		// Get list of collections
		function zp_get_collections ( request_start, request_last, update )
		{
			// Set parameter defaults
			if ( typeof(request_start) === "undefined" || request_start == "false" || request_start == "" )
				request_start = 0;
			
			if ( typeof(request_last) === "undefined" || request_last == "false" || request_last == "" )
				request_last = 0;
			
			jQuery.ajax(
			{
				url: zpShortcodeAJAX.ajaxurl,
				ifModified: true,
				data: {
					'action': 'zpRetrieveViaShortcode',
					'api_user_id': jQuery("#ZP_API_USER_ID").text(),
					'item_type': 'collections',
					'collection_id': zpCollectionId,
					'request_start': request_start,
					'request_last': request_last,
					'sort_by': "title",
					'get_top': true,
					'update': update,
					'zpShortcode_nonce': zpShortcodeAJAX.zpShortcode_nonce
				},
				xhrFields: {
					withCredentials: true
				},
				success: function(data)
				{
					var zp_collections = jQuery.parseJSON( data );
					var zp_collection_options = "";
					
					
					// Remove cached bib before adding updates
					if ( update === false ) jQuery("select#zp-Browse-Collections-Select").addClass("used_cache");
					if ( update === true && jQuery("select#zp-Browse-Collections-Select").hasClass("used_cache") )
					{
						jQuery("select#zp-Browse-Collections-Select").empty();
						
						if ( zpTagId ) jQuery("select#zp-Browse-Collections-Select").append( "<option value='blank'>--No Collection Selected--</option>" );
						if ( ! zpTagId && ! zpCollectionId ) jQuery("select#zp-Browse-Collections-Select").append( "<option value='toplevel'>Top level</option>" );
					}
					
					
					if ( zpCollectionId && jQuery("#zp-Browse-Collections-Select option.toplevel").length == 0 )
					{
						jQuery("select#zp-Browse-Collections-Select")
							.append( "<option value='blank' class='blank'>"+jQuery("#ZP_COLLECTION_NAME").text()+"</option>\n" );
					}
					
					if ( zp_collections != "0" && zp_collections.data.length > 0 )
					{
						jQuery.each(zp_collections.data, function( index, collection )
						{
							var temp = "<option value='"+collection.key+"'";
							if ( zpCollectionId == collection.key ) temp += " selected='selected'";
							temp += ">";
							if ( zpCollectionId ) temp += "- "; // For subcollection dropdown indent
							temp += collection.data.name+" (";
							if ( collection.meta.numCollections > 0 ) temp += collection.meta.numCollections+" subcollections, ";
							temp += collection.meta.numItems+" items)</option>\n";
							
							zp_collection_options += temp;
						});
						jQuery("select#zp-Browse-Collections-Select").append( zp_collection_options );
						
						// Then, continue with other requests, if they exist
						if ( zp_collections.meta.request_next != false && zp_collections.meta.request_next != "false" )
							zp_get_collections ( zp_collections.meta.request_next, zp_collections.meta.request_last, update );
					}
					
					if ( zpCollectionId && jQuery("#zp-Browse-Collections-Select option.toplevel").length == 0 )
					{
						jQuery("select#zp-Browse-Collections-Select").append( "<option value='toplevel' class='toplevel'>Back to Top</option>\n" );
					}
					
					// Remove loading indicator
					jQuery("select#zp-Browse-Collections-Select").removeClass("loading").find(".loading").remove();
				},
				error: function(errorThrown)
				{
					console.log(errorThrown);
				},
				complete: function( jqXHRr, textStatus )
				{
					if ( update === false ) zp_get_collections ( 0, 0, true );
				}
			});
		}
		zp_get_collections ( 0, 0, false );
		
		
		
		
		// Get list of tags
		function zp_get_tags ( request_start, request_last, update )
		{
			// Set parameter defaults
			if ( typeof(request_start) === "undefined" || request_start == "false" || request_start == "" )
				request_start = 0;
			
			if ( typeof(request_last) === "undefined" || request_last == "false" || request_last == "" )
				request_last = 0;
			
			jQuery.ajax(
			{
				url: zpShortcodeAJAX.ajaxurl,
				ifModified: true,
				data: {
					'action': 'zpRetrieveViaShortcode',
					'api_user_id': jQuery("#ZP_API_USER_ID").text(),
					'item_type': 'tags',
					'is_dropdown': true,
					'maxtags': jQuery("#ZP_MAXTAGS").text(),
					'request_start': request_start,
					'request_last': request_last,
					'update': update,
					'zpShortcode_nonce': zpShortcodeAJAX.zpShortcode_nonce
				},
				xhrFields: {
					withCredentials: true
				},
				success: function(data)
				{
					var zp_tags = jQuery.parseJSON( data );
					
					var zp_tag_options = "<option id='zp-List-Tags-Select' name='zp-List-Tags-Select'>--No Tag Selected--</option>\n";
					if ( zpTagId ) zp_tag_options = "<option value='toplevel' class='toplevel'>--Back to Top--</option>\n";
					
					
					
					// Remove cached bib before adding updates
					if ( update === false ) jQuery("select#zp-List-Tags").addClass("used_cache");
					if ( update === true && jQuery("select#zp-List-Tags").hasClass("used_cache") )
						jQuery("select#zp-List-Tags").empty();
					
					
					if ( zp_tags.data.length > 0 )
					{
						jQuery.each(zp_tags.data, function( index, tag )
						{
							var temp = "<option class='zp-List-Tag' value='"+tag.tag.replace(/ /g, "+")+"'";
							
							if ( jQuery("#ZP_TAG_ID").length > 0
									&& jQuery("#ZP_TAG_ID").text() == tag.tag )
							{
								temp += " selected='selected'";
							}
							temp += ">"+tag.tag+" ("+tag.meta.numItems+" items)</option>\n";
							
							zp_tag_options += temp;
						});
						jQuery("select#zp-List-Tags").append( zp_tag_options );
							
						// Then, continue with other requests, if they exist
						if ( zp_tags.meta.request_next != false && zp_tags.meta.request_next != "false" )
							zp_get_tags ( zp_tags.meta.request_next, zp_tags.meta.request_last, update );
					}
					
					// Remove loading indicator
					jQuery("select#zp-List-Tags").removeClass("loading").find(".loading").remove();
				},
				error: function(errorThrown)
				{
					console.log(errorThrown);
				},
				complete: function( jqXHRr, textStatus )
				{
					if ( update === false ) zp_get_tags ( 0, 0, true );
				}
			});
		}
		zp_get_tags ( 0, 0, false );
		
		
		
		var zpItemsFlag = true;
		
		// Get list items
		function zp_get_items ( request_start, request_last, update )
		{
			// Set parameter defaults
			if ( typeof(request_start) === "undefined" || request_start == "false" || request_start == "" )
				request_start = 0;
			
			if ( typeof(request_last) === "undefined" || request_last == "false" || request_last == "" )
				request_last = 0;
			
			jQuery.ajax(
			{
				url: zpShortcodeAJAX.ajaxurl,
				ifModified: true,
				data: {
					'action': 'zpRetrieveViaShortcode',
					'api_user_id': jQuery("#ZP_API_USER_ID").text(),
					'is_dropdown': true,
					'item_type': 'items',
					
					'citeable': jQuery("#ZP_CITEABLE").text(),
					'downloadable': jQuery("#ZP_DOWNLOADABLE").text(),
					'showimage': jQuery("#ZP_SHOWIMAGE").text(),
					
					'target': zpTarget,
					'urlwrap': zpURLWrap,
					
					'collection_id': zpCollectionId,
					'tag_id': zpTagId,
					'get_top': true,
					
					'sort_by': jQuery("#ZP_SORTBY").text(),
					'order': jQuery("#ZP_ORDER").text(),
					
					'update': update,
					'request_start': request_start,
					'request_last': request_last,
					'zpShortcode_nonce': zpShortcodeAJAX.zpShortcode_nonce
				},
				xhrFields: {
					withCredentials: true
				},
				success: function(data)
				{
					var zp_items = jQuery.parseJSON( data );
					
					// Remove cached bib before adding updates
					if ( update === false ) jQuery(".zp-List").addClass("used_cache");
					//if ( update === true && jQuery(".zp-List").hasClass("used_cache") )
					//	jQuery("#zpSearchResultsContainer").empty();
					
					
					// First, display the items from this request, if any
					if ( typeof zp_items != 'undefined' && zp_items != null && zp_items != 0 && zp_items.data.length > 0 )
					{
						var tempItems = "";
						
						jQuery.each(zp_items.data, function( index, item )
						{
							if ( jQuery("#zp-Entry-"+item.key).length > 0
									&& update === true
									&& jQuery(".zp-List").hasClass("used_cache") )
							{
								jQuery("#zp-Entry-"+item.key).remove();
							}
							
							tempItems += "<div id='zp-Entry-"+item.key+"' class='zp-Entry zpSearchResultsItem hidden'>\n";
							
							if ( zpIsAdmin || ( zpShowImages && item.hasOwnProperty('image') ) )
							{
								tempItems += "<div id='zp-Citation-"+item.key+"' class='zp-Entry-Image";
								if ( item.hasOwnProperty('image') ) tempItems += " hasImage";
								tempItems += "' rel='"+item.key+"'>\n";
								
								if ( zpIsAdmin ) tempItems += "<a title='Set Image' class='upload' rel='"+item.key+"' href='#'>Set Image</a>\n";
								if ( zpIsAdmin && item.hasOwnProperty('image') ) tempItems += "<a title='Remove Image' class='delete' rel='"+item.key+"' href='#'>&times;</a>\n";
								if ( item.hasOwnProperty('image') ) tempItems += "<img class='thumb' src='"+item.image[0]+"' alt='image' />\n";
								
								tempItems += "</div><!-- .zp-Entry-Image -->\n";
							}
							
							tempItems += item.bib;
							
							// Show item key if admin
							if ( zpIsAdmin ) tempItems += "<span class='item_key'>"+item.key+"</span>\n";
							
							tempItems += "</div><!-- .zp-Entry -->\n";
						});
						
						jQuery(".zp-List").removeClass("loading");
						
						jQuery("#zpSearchResultsContainer").append( tempItems );
						
						
						// Then, continue with other requests, if they exist
						if ( zp_items.meta.request_next != false && zp_items.meta.request_next != "false" )
						{
							if ( zpItemsFlag == true ) window.zpACPagination(zpItemsFlag, false); 
							else window.zpACPagination(zpItemsFlag, true); 
							zpItemsFlag = false;
							
							zp_get_items ( zp_items.meta.request_next, zp_items.meta.request_last, update );
						}
						else
						{
							window.zpACPagination(zpItemsFlag); 
							zpItemsFlag = false;
						}
					}
					
					// Message that there's no items
					else
					{
						if ( update === true )
						{
							jQuery(".zp-List").removeClass("loading");
							
							jQuery("#zpSearchResultsContainer").append("<p>There are no citations to display.</p>\n");
						}
					}
				},
				error: function(errorThrown)
				{
					console.log(errorThrown);
				}
				//complete: function( jqXHRr, textStatus )
				//{
				//	if ( update === false ) zp_get_items ( 0, 0, true );
				//}
			});
		}
		zp_get_items ( 0, 0, false );
		zp_get_items ( 0, 0, true );
		
		
	} // Zotpress DropDown Library
    
});